Subject: Honey Prices

From: Mark Egloff <[email-masked]>
Date: Fri, 28 Jun 1996 15:59:19 -0700

I am currently in the process of trying to determine what price to charge 
this year.  I had pretty well settled to $6.50/qt, $3.75/pint until I 
read your posting.  Are you haveing any problems with your prices?

Mark Egloff
[email-masked]